<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

use Illuminate\Support\Facades\Storage;
use App\Models\Comunicado;
use DataTables;
use Auth;
class ComunicadoController extends Controller
{
    //
    public function __construct()
    {
        $this->middleware('auth');      
    }
    public function listar(Request $request)
    {        
        $query = Comunicado::get();
        return DataTables::of($query)->toJson();
    } 
    public function eliminar($id)
    {        
        $noticia=Comunicado::where('id',$id)->delete();         
        if($noticia)
            return response()->json(['message'=>'Se guardo correctamente'], 200);
        else
            return response()->json(['message'=>'Error, no se guardaron los datos'], 500);
    }
    public function estado(Request $request)
    {     
        //return $request;
        $estado=0;
        if($request->estado=="0")
            $estado=1;    
        $noticia=Comunicado::find($request->id);         
        $noticia->estado=$estado;
        if($noticia->save())
            return response()->json(['message'=>'Se guardo correctamente'], 200);
        else
            return response()->json(['message'=>'Error, no se guardaron los datos'], 500);
    }   
    public function nuevo(Request $request)
    {             
        //return $request->oficio;
        $user=Auth::user()->id;
        $Comunicado= new Comunicado;                                       
        $Comunicado->titulo=$request->titulo; 
        $Comunicado->estado="1";
        $Comunicado->user_id=$user;

        if($request->hasFile('archivo')){
            $ruta = Storage::putFile('public/', $request->archivo);
            $Comunicado->ruta=str_replace('public/', 'storage', $ruta);
        }
        if($Comunicado->save())
            return response()->json(['message'=>'Se guardo correctamente'], 200);
        else
            return response()->json(['message'=>'Error, no se guardaron los datos'], 500);
    }
}
