<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Agenda extends Model
{
    use HasFactory;
    protected $fillable = [
        'titulo',
        'tipo',
        'descripcion',
        'lugar',
        'fecha',
        'inicio',
        'fin',
        'user_id',
        'estado',
    ];
    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }
}
