<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('directivas', function (Blueprint $table) {
            $table->id();  
            $table->text('year');
            $table->string('numero');//activo
            $table->text('aprobacion');//activo
            $table->text('ruta');//activo
            $table->text('nombre');//activo
            $table->tinyInteger('estado')->default(1);//activo
            $table->unsignedBigInteger('user_id')->nullable();               
            $table->foreign('user_id')->references('id')->on('users');  
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('directivas');
    }
};
