<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;

use App\Models\Pagina;
use App\Models\Vista;
use DataTables;
use Validator;
use Auth;
class PaginaController extends Controller
{
    //
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function actualizar(Request $request)
    {     
        
        //return $request;
        $user=Auth::user()->id;
        $pagina= Pagina::find($request->id);    
        $pagina->titulo=$request->titulo;
        $pagina->descripcion=$request->descripcion;
        $pagina->user_id=$user;

        if($request->hasFile('archivo')){
            $ruta = Storage::putFile('public/', $request->archivo);
            $pagina->ruta=str_replace('public/', 'storage', $ruta);
        }
        if($pagina->save())
            return response()->json(['message'=>'Se guardo correctamente'], 200);
        else
            return response()->json(['message'=>'Error, no se guardaron los datos'], 500);
    }
    public function vista(Request $request)
    {           
        $vista= Vista::find(1);   
        if(!$vista)
            $vista=new Vista;
        //$pagina= Pagina::find($request->id);   
        //return $pagina->titulo;  
        $vista->titulo=$request->titulo;
        $vista->descripcion=$request->descripcion;

        if($request->hasFile('archivo')){
            $ruta = Storage::putFile('public/', $request->archivo);
            $vista->ruta=str_replace('public/', 'storage', $ruta);
        }
        if($vista->save())
            return response()->json(['message'=>'Se guardo correctamente'], 200);
        else
            return response()->json(['message'=>'Error, no se guardaron los datos'], 500);
    }
    public function datos(Request $request,$id)
    {   
        $pagina= Pagina::find($id);
        return $pagina;
    }
}
