<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Noticia;
use App\Models\Comunicado;
use App\Models\Directiva;
use App\Models\Pagina;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index2()
    {
        $menu="index";
        $submenu="";
        return view('home');
    }
    public function index()
    {
        $menu="index";
        $submenu="";
        $noticias=Noticia::where('estado','1')->get();
        return view('pagina/index',compact('menu','submenu','noticias'));
    }
    //paginas de tambopata
    public function turismo()
    {
        $menu="tambopata";
        $submenu="turismo";
        $pagina=Pagina::where('link','turismo')->get()->first();
        return view('pagina/tambopata/turismo',compact('menu','submenu','pagina'));
    }
    public function historia()
    {
        $menu="tambopata";
        $submenu="turismo";
        $pagina=Pagina::where('link','historia')->get()->first();
        return view('pagina/tambopata/historia',compact('menu','submenu','pagina'));
    }
    public function informacion()
    {
        $menu="tambopata";
        $submenu="turismo";
        $pagina=Pagina::where('link','informacion')->get()->first();
        return view('pagina/tambopata/informacion',compact('menu','submenu','pagina'));
    }
    //paginas de la municipalidad
    public function alcalde()
    {
        $menu="municipalidad";
        $submenu="alcalde";
        $pagina=Pagina::where('link','alcalde')->get()->first();
        return view('pagina/municipalidad/alcalde',compact('menu','submenu','pagina'));
    }
    public function mision_vision()
    {
        $menu="municipalidad";
        $submenu="mision_vision";
        $pagina=Pagina::where('link','mision y vision')->get()->first();
        return view('pagina/municipalidad/mision_vision',compact('menu','submenu','pagina'));
    }
    public function concejo()
    {
        $menu="municipalidad";
        $submenu="concejo municipal";
        return view('pagina/municipalidad/concejo',compact('menu','submenu'));
    }
    public function directorio()
    {
        $menu="municipalidad";
        $submenu="directorio";
        return view('pagina/municipalidad/directorio',compact('menu','submenu'));
    }
    //pafinas de areas tematicas
    public function administracion()
    {
        $menu="areas";
        $submenu="administracion";
        $pagina=Pagina::where('link','administracion')->get()->first();
        return view('pagina/areas/administracion',compact('menu','submenu','pagina'));
    }
    public function desarrollo()
    {
        $menu="areas";
        $submenu="desarrollo";
        $pagina=Pagina::where('link','desarrollo')->get()->first();
        return view('pagina/areas/desarrollo',compact('menu','submenu','pagina'));
    }
    public function transporte()
    {
        $menu="areas";
        $submenu="transporte";
        $pagina=Pagina::where('link','transporte')->get()->first();
        return view('pagina/areas/transporte',compact('menu','submenu','pagina'));
    }
    public function servicios()
    {
        $menu="areas";
        $submenu="servicios";
        $pagina=Pagina::where('link','servicios')->get()->first();
        return view('pagina/areas/servicios',compact('menu','submenu','pagina'));
    }
    public function noticias()
    {
        $noticias=Noticia::where('estado','1')->get();
        $menu="noticias";
        $submenu="noticias";
        return view('pagina/noticias/noticias',compact('menu','submenu','noticias'));
    }
    public function noticia($id)
    {
        //return $id;
        $noticia=Noticia::find($id);
        $menu="noticias";
        $submenu="noticias";
        return view('pagina/noticias/noticia',compact('menu','submenu','noticia'));
    }
    public function comunicados()
    {
        $menu="noticias";
        $submenu="comunicado";
        $comunicados=Comunicado::get();
        return view('pagina/noticias/comunicados',compact('menu','submenu','comunicados'));
    }
    public function comunicado($id)
    {
        $menu="noticias";
        $submenu="comunicado";
        $comunicado=Comunicado::find($id);
        $comunicados=Comunicado::get();
        return view('pagina/noticias/comunicado',compact('menu','submenu','comunicado','comunicados'));
    }
    public function directivas()
    {
        $menu="transparencia";
        $submenu="comunicado";
        $directivas=Directiva::get();
        return view('pagina/transparencia/directivas',compact('menu','submenu','directivas'));
    }
    public function tupa()
    {
        $menu="transparencia";
        $submenu="comunicado";
        return view('pagina/transparencia/tupa',compact('menu','submenu'));
    }
    public function agenda_alcalde()
    {
        $menu="transparencia";
        $submenu="comunicado";
        $tipo="alcaldia";
        return view('pagina/transparencia/alcalde',compact('menu','submenu','tipo'));
    }
    public function agenda_gerente()
    {
        $menu="transparencia";
        $submenu="comunicado";
        $tipo="gerencia";
        return view('pagina/transparencia/alcalde',compact('menu','submenu','tipo'));
    }
    public function limpieza()
    {
        $menu="servicios";
        $submenu="comunicado";
        $pagina=Pagina::where('link','limpieza')->get()->first();
        return view('pagina/servicios/limpieza',compact('menu','submenu','pagina'));
    }
    public function omaped()
    {
        $menu="servicios";
        $submenu="comunicado";
        $pagina=Pagina::where('link','omaped')->get()->first();
        return view('pagina/servicios/omaped',compact('menu','submenu','pagina'));
    }
}
