<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;
use Auth;
class Permisos
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next, $submodulo): Response
    {
        $user = Auth::user();
        //modulos a los que tiene acceso el rol del usuario [modulo] => [submodulos|...]
        if($user->tipo != "1"){
            if($user->tipo == "2" && ($submodulo=="comunicados" ||$submodulo=="agenda gerente"|| $submodulo=="agenda alcalde"|| $submodulo=="noticias")){
                return $next($request);
            }
            else if($user->tipo == "3" && $submodulo=="agenda alcalde"){                               
                    return $next($request);
                }
            else if($user->tipo == "4" && $submodulo=="agenda gerente"){                               
                return $next($request);
            }
            else
                return abort(403);            
        }
        else           
            return $next($request);
    }
}
