<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, viewport-fit=cover"/>
    <meta http-equiv="X-UA-Compatible" content="ie=edge"/>
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <?php echo $__env->yieldContent('head'); ?>
    <title>Tampopata</title>
    <!-- CSS files -->
    <link href="<?php echo e(asset('/libs/tabler/css/tabler.min.css?1684106062')); ?>" rel="stylesheet"/>
    <link href="<?php echo e(asset('/libs/tabler/css/tabler-flags.min.css?1684106062')); ?>" rel="stylesheet"/>
    <link href="<?php echo e(asset('/libs/tabler/css/tabler-payments.min.css?1684106062')); ?>" rel="stylesheet"/>
    <link href="<?php echo e(asset('/libs/tabler/css/tabler-vendors.min.css?1684106062')); ?>" rel="stylesheet"/>
    <link href="<?php echo e(asset('/libs/tabler/css/demo.min.css?1684106062')); ?>" rel="stylesheet"/>
    <link href="<?php echo e(asset('/css/base.css?1684106062')); ?>" rel="stylesheet"/>
    <?php echo $__env->yieldContent('css'); ?>
    <style>
      @import url('https://rsms.me/inter/inter.css');
      :root {
      	--tblr-font-sans-serif: 'Inter Var', -apple-system, BlinkMacSystemFont, San Francisco, Segoe UI, Roboto, Helvetica Neue, sans-serif;
      }
      body {
      	font-feature-settings: "cv03", "cv04", "cv11";
      }
    </style>
  </head>
  <body >
  <script src="<?php echo e(asset('/libs/tabler/js/demo-theme.min.js?1684106062')); ?>"></script>
    <div class="page">
      <!-- Navbar -->
        <header class="navbar navbar-expand-md d-print-none" >
            <div class="container-xl cabecera">
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar-menu" aria-controls="navbar-menu" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                    <a href=".">
                        <img src="<?php echo e(url('/img/logo.png')); ?>" width="110" height="32" alt="Municipalidad Provincial de Tambopata" class="navbar-brand-image">
                    </a>
                    <a href="https://www.transparencia.gob.pe/enlaces/pte_transparencia_enlaces.aspx?id_entidad=1652" target="_blank" class="navbar-brand-image  enlace_let" title="Portal Transparencia UNAMAD">
                        <img src="<?php echo e(url('/img/transp_min.jpg')); ?>" style="height: 40px" alt="Logo Transparencia">
                    </a>
                    <a href="https://www.gob.pe/munitambopata" target="_blank" class="navbar-brand-image  enlace_let" title="Portal GOB.PE UNAMAD">
                        <img src="<?php echo e(url('/img/gobpe_min.jpg')); ?>" style="height: 30px;margin-top: 8px;" alt="Logo GOB.PE">
                    </a>
                <div class="collapse navbar-collapse" id="navbar-menu">
                    <div class="navbar" style="box-shadow: none;">
                        <div class="container-xl ">
                            <ul class="navbar-nav">
                                <li class="nav-item <?php echo e($menu=='index' ? 'active':''); ?>">
                                    <a class="nav-link" href="<?php echo e(url('/')); ?>" >
                                        <span class="nav-link-title">
                                            Inicio
                                        </span>
                                    </a>
                                </li>
                                <li class="nav-item dropdown <?php echo e($menu=='tambopata' ? 'active':''); ?>">
                                    <a class="nav-link dropdown-toggle" href="#navbar-base" data-bs-toggle="dropdown" data-bs-auto-close="outside" role="button" aria-expanded="false" >
                                        <span class="nav-link-title">
                                        Tambopata
                                        </span>
                                    </a>
                                    <div class="dropdown-menu">
                                        <div class="dropdown-menu-columns">
                                            <div class="dropdown-menu-column">
                                                <a class="dropdown-item" href="<?php echo e(url('/turismo')); ?>">
                                                    Turismo
                                                </a>
                                                <a class="dropdown-item" href="<?php echo e(url('/informacion')); ?>">
                                                    Informacion Demografica
                                                </a>
                                                <a class="dropdown-item" href="<?php echo e(url('/historia')); ?>">
                                                    Historia
                                                </a>
                                            </div>
                                        </div>
                                    </div>
                                </li>
                                <li class="nav-item dropdown  <?php echo e($menu=='municipalidad' ? 'active':''); ?>">
                                    <a class="nav-link dropdown-toggle" href="#navbar-base" data-bs-toggle="dropdown" data-bs-auto-close="outside" role="button" aria-expanded="false" >
                                        <span class="nav-link-title">
                                            Municipalidad
                                        </span>
                                    </a>
                                    <div class="dropdown-menu">
                                        <div class="dropdown-menu-columns">
                                            <div class="dropdown-menu-column">
                                                <a class="dropdown-item" href="<?php echo e(url('/alcalde')); ?>">
                                                    El Alcalde
                                                </a>
                                                <a class="dropdown-item" href="<?php echo e(url('/mision y vision')); ?>">
                                                    Misíon y Visión
                                                </a>
                                                <a class="dropdown-item" href="<?php echo e(url('/concejo municipal')); ?>">
                                                    Concejo Municipal
                                                </a>
                                                <a class="dropdown-item" href="<?php echo e(url('/directorio')); ?>">
                                                    Directorio Municipal
                                                </a>
                                            </div>
                                        </div>
                                    </div>
                                </li>
                                <li class="nav-item dropdown  <?php echo e($menu=='areas' ? 'active':''); ?>">
                                    <a class="nav-link dropdown-toggle" href="#navbar-base" data-bs-toggle="dropdown" data-bs-auto-close="outside" role="button" aria-expanded="false" >
                                        <span class="nav-link-title">
                                            Areas Tempaticas
                                        </span>
                                    </a>
                                    <div class="dropdown-menu">
                                        <div class="dropdown-menu-columns">
                                            <div class="dropdown-menu-column">
                                                <a class="dropdown-item" href="<?php echo e(url('/administracion')); ?>">
                                                    Administracion Financiera
                                                </a>
                                                <a class="dropdown-item" href="<?php echo e(url('/desarrollo')); ?>">
                                                    Desarrollo Urbano
                                                </a>
                                                <a class="dropdown-item" href="<?php echo e(url('/transporte')); ?>">
                                                    Transporte Urbano y Circulación Vial
                                                </a>
                                                <a class="dropdown-item" href="<?php echo e(url('/servicios')); ?>">
                                                    Sevicio al Ciudadano
                                                </a>
                                            </div>
                                        </div>
                                    </div>
                                </li>
                                <li class="nav-item dropdown  <?php echo e($menu=='servicios' ? 'active':''); ?>">
                                    <a class="nav-link dropdown-toggle" href="#navbar-base" data-bs-toggle="dropdown" data-bs-auto-close="outside" role="button" aria-expanded="false" >
                                        <span class="nav-link-title">
                                            Servicios Municipales
                                        </span>
                                    </a>
                                    <div class="dropdown-menu">
                                        <div class="dropdown-menu-columns">
                                            <div class="dropdown-menu-column">
                                                <a class="dropdown-item" href="<?php echo e(url('/limpieza')); ?>">
                                                    Limpieza Pública
                                                </a>
                                                <a class="dropdown-item" href="<?php echo e(url('/omaped')); ?>">
                                                    OMAPED
                                                </a>
                                            </div>
                                        </div>
                                    </div>
                                </li>
                                <li class="nav-item dropdown <?php echo e($menu=='noticias' ? 'active':''); ?>">
                                    <a class="nav-link dropdown-toggle" href="#navbar-base" data-bs-toggle="dropdown" data-bs-auto-close="outside" role="button" aria-expanded="false" >
                                        <span class="nav-link-title">
                                            Noticias
                                        </span>
                                    </a>
                                    <div class="dropdown-menu">
                                        <div class="dropdown-menu-columns">
                                            <div class="dropdown-menu-column">
                                                <a class="dropdown-item" href="<?php echo e(url('/noticias')); ?>">
                                                    Noticias
                                                </a>
                                                <a class="dropdown-item" href="<?php echo e(url('/galeria')); ?>">
                                                    Galeria y videos
                                                </a>
                                            </div>
                                        </div>
                                    </div>
                                </li>
                                <li class="nav-item dropdown <?php echo e($menu=='transparencia' ? 'active':''); ?>">
                                    <a class="nav-link dropdown-toggle" href="#navbar-base" data-bs-toggle="dropdown" data-bs-auto-close="outside" role="button" aria-expanded="false" >
                                        <span class="nav-link-title">
                                            Transparencia
                                        </span>
                                    </a>
                                    <div class="dropdown-menu">
                                        <div class="dropdown-menu-columns">
                                            <div class="dropdown-menu-column">
                                                <a class="dropdown-item" href="<?php echo e(url('/directivas')); ?>">
                                                    Directivas
                                                </a>
                                                <a class="dropdown-item" href="<?php echo e(url('/tupa')); ?>">
                                                    TUPA
                                                </a>
                                                <a class="dropdown-item" href="<?php echo e(url('/agenda alcalde')); ?>">
                                                    Agenda del Alcalde
                                                </a>
                                                <a class="dropdown-item" href="<?php echo e(url('/agenda gerente')); ?>">
                                                    Agenda del Gerente Municipal
                                                </a>
                                                <a class="dropdown-item" href="<?php echo e(url('/sesiones')); ?>">
                                                    Sesiones de Concejo
                                                </a>
                                            </div>
                                        </div>
                                    </div>
                                </li>                        
                        </div>
                    </div>
                </div>
                
                <h1 class="navbar-brand navbar-brand-autodark d-none-navbar-horizontal pe-0 pe-md-3 enlace_right">
                    <a href="https://www.transparencia.gob.pe/enlaces/pte_transparencia_enlaces.aspx?id_entidad=1652" target="_blank" class="navbar-brand-image" title="Portal Transparencia UNAMAD">
                        <img src="<?php echo e(url('/img/transparencia.png')); ?>" style="height: 40px" alt="Logo Transparencia">
                    </a>
                </h1>
                <h1 class="navbar-brand navbar-brand-autodark d-none-navbar-horizontal pe-0 pe-md-3 enlace_right">
                    <a href="https://www.gob.pe/munitambopata" target="_blank" class="navbar-brand-image" title="Portal GOB.PE UNAMAD">
                        <img src="<?php echo e(url('/img/gob.png')); ?>" style="height: 30px;margin-top: 8px;" alt="Logo GOB.PE">
                    </a>
                </h1>

            </div>
        </header>
      <div class="page-wrapper">
        <!-- Page header -->
        <div class="page-header d-print-none">
          <div class="banner">               
                <?php echo $__env->yieldContent('banner'); ?>
          </div>
        </div>
        <!-- Page body -->
        <div class="page-body">
            <?php echo $__env->yieldContent('contenido'); ?>
        </div>
        <footer class="footer footer-transparent d-print-none" id="main-footer">			
            <div class="container">
                <div class="row">
                    <div class="col-sm-6 col-lg-4">
                        <div class="footer-widget"><div id="categories-4" class="fwidget et_pb_widget widget_categories"><h4 class="title">Municipalidad</h4>
                                <ul>
                                    <li class="cat-item cat-item-53"><a href="<?php echo e(url('/mision y vision')); ?>">Vision Mision</a></li>  
                                    <li class="cat-item cat-item-53"><a href="<?php echo e(url('/concejo municipal')); ?>">Concejo Municipal</a></li>  
                                    <li class="cat-item cat-item-53"><a href="<?php echo e(url('/directorio')); ?>">Directorio Municipal</a></li> 
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-6 col-lg-4">
                        <div class="footer-widget"><div id="categories-4" class="fwidget et_pb_widget widget_categories"><h4 class="title">Áreas Temáticas</h4>
                                <ul>
                                    <li class="cat-item cat-item-53"><a href="<?php echo e(url('/administracion')); ?>">Administracion Financiera</a></li>  
                                    <li class="cat-item cat-item-53"><a href="<?php echo e(url('/desarrollo')); ?>">Desarrollo Urbano</a></li>  
                                    <li class="cat-item cat-item-53"><a href="<?php echo e(url('/transporte')); ?>">Transporte Urbano y Circulación Vial</a></li> 
                                    <li class="cat-item cat-item-53"><a href="<?php echo e(url('/servicios')); ?>">Servicio al Ciudadano</a></li> 
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-6 col-lg-4">
                        <div class="footer-widget"><div id="categories-4" class="fwidget et_pb_widget widget_categories"><h4 class="title">Transparencia</h4>
                                <ul>
                                    <li class="cat-item cat-item-53"><a href="<?php echo e(url('/directivas')); ?>">Directivas</a></li>  
                                    <li class="cat-item cat-item-53"><a href="<?php echo e(url('/tupa')); ?>">Tupa</a></li>  
                                    <li class="cat-item cat-item-53"><a href="<?php echo e(url('/agenda alcalde')); ?>">Agenda del Alcade</a></li> 
                                    <li class="cat-item cat-item-53"><a href="<?php echo e(url('/')); ?>">Agenda del Gerente Municipal</a></li> 
                                    <li class="cat-item cat-item-53"><a href="<?php echo e(url('/')); ?>">Sesiones de Concejo</a></li> 
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div id="footer-bottom">
				<div class="container clearfix">
                    <ul class="et-social-icons">
                        <li class="et-social-icon et-social-facebook">
                            <a href="https://www.facebook.com/profile.php?id=100093284665211&amp;mibextid=ZbWKwL" class="icon">
                                <img src="<?php echo e(url('/img/facebook.png')); ?>" alt="" style="vertical-align: baseline;">
                            </a>
                        </li>
                    </ul>
                <div id="footer-info">| MUNICIPALIDAD DE TAMBOPATA | Todos los Derechos Reservados.</div>					</div>
            </div>
        </footer>
      </div>
    </div>
    <!-- Libs JS -->
    <!-- Tabler Core -->
    <script src="<?php echo e(asset('/js/jquery-3.6.0.min.js')); ?>"></script>
   <script src="<?php echo e(asset('/libs/tabler/js/tabler.min.js?1684106062')); ?>"></script>
   <script src="<?php echo e(asset('/libs/tabler/js/demo.min.js?1684106062')); ?>"></script>  
   
   <script type="text/javascript">
      $.ajaxSetup({
        headers: {
          'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
      });       
    </script>
   <?php echo $__env->yieldContent('js'); ?>

  </body>
</html><?php /**PATH /home/secmpt2020/public_html/portal.munitambopata.gob.pe/resources/views/layouts/pagina.blade.php ENDPATH**/ ?>