
<?php $__env->startSection('css'); ?>
<link rel="stylesheet" href="<?php echo e(asset('css/comunicados.css')); ?>">

<?php $__env->stopSection(); ?>
<?php $__env->startSection('head'); ?>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contenido'); ?>
<div class="container-xl" >
    <div class="reglon">
        <h3 class="titulo mt-4">Comunicados</h3>  
    </div>
    <div class="row">
        <div class=" col-xs-12 col-sm-12 col-lg-8"  style="text-align: let;">
            <h2 class="titulo"><?php echo e($comunicado->titulo); ?></h2>    
            <h3>Fecha: <?php echo e($comunicado->created_at); ?></h3>
            <div class="imagen-principal">                
                <img src="<?php echo e(url($comunicado->ruta)); ?>" alt="">
            </div>
            <div class="texto mt-4">
                <?php echo $comunicado->created_at; ?>   
            </div>      
        </div>
        <div class=" col-xs-12 col-sm-12 col-lg-4"  style="text-align: let;">
            
            <div class="card">
                <div class="card-header">
                <h3 class="card-title">Más comunicados</h3>
                </div>
                <div class="list-group list-group-flush list-group-hoverable">
                    <?php $__currentLoopData = $comunicados; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $items): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="list-group-item"  style="padding: 16px 0px;">
                            <div class="row align-items-center">
                                <div class="col-auto">
                                    <a href="<?php echo e(url('/comunicado/'.$items->id)); ?>">
                                    <span class="avatar" style="background-image: url(<?php echo e('/'.$items->ruta); ?>)"></span>
                                    </a>
                                </div>
                                <div class="col text-truncate">
                                    <a href="<?php echo e(url('/comunicado/'.$items->id)); ?>" class="text-reset d-block"><?php echo e($items->titulo); ?>

                                        <div class="d-block text-muted text-truncate mt-n1">
                                            Fecha: <?php echo e($items->created_at); ?>                                            
                                        </div>
                                    </a>                                    
                                </div>
                            </div>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            </div>    
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.pagina', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/secmpt2020/public_html/portal.munitambopata.gob.pe/resources/views/pagina/noticias/comunicado.blade.php ENDPATH**/ ?>