
<?php $__env->startSection('css'); ?>
<link rel="stylesheet" href="<?php echo e(asset('css/turismo.css')); ?>">

<?php $__env->stopSection(); ?>
<?php $__env->startSection('head'); ?>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('banner'); ?>
    <img src="<?php echo e(url('/img/banner_historia.jpg')); ?>" alt="">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('contenido'); ?>
<div class="container-xl mb-4">
    <div class="reglon">
        <h3 class="titulo mt-4">Historia</h3>  
    </div>
    <div class="row">
        <div class=" col-12 mt-2 sitio"  style="text-align: let;">    
            <div class="texto">
                <p>La provincia de Tambopata, del departamento de Madre de Dios, se localiza en la región selva del Perú, abarcando parte de las cuencas de los ríos Madre de Dios, Inambari, Las Piedras, Tambopata y Malinoski, donde se aprecia pintorescos y singulares paisajes, creado por la misma Ley que crea el departamento Madre de Dios en 1912.</p>
                <p>La provincia Tambopata, desde su creación estuvo constituido por los distritos, Tambopata, las Piedras e Inambari, posteriormente el 07 de setiembre de 1994, con Ley Nº 26349, se crea el cuarto distrito, denominándose Laberinto, asignándose como su capital, el centro poblado Puerto Rosario de Laberinto, otorgándosele la categoría de Villa. Asimismo mediante la misma Ley, se traslada la capital del distrito de Inambari al centro poblado Mazuko, otorgándosele la categoría de Villa por la presente Ley</p>
                
            </div>
            <div class="imagen-turismo">
                <img src="<?php echo e(url('/img/plaza.jpg')); ?>" alt="" class="imagen-turismo">
            </div>        
        </div>
        <div class=" col-12 mt-2 sitio"  style="text-align: let;">    
            <div class="texto">                
                <p>Esta provincia forma parte del departamento de Madre de Dios, junto con las provincias de Manu, Tahuamanu, ubicada en la parte central y Sureste del departamento, abarca las cuencas de los ríos Tambopata, Palma real, Los Amigos, las Piedras, Inambari, Heath, entre Otros (alto, medio y bajo Madre de Dios). Esta provincia está conformada por cuatro distritos: Tambopata, Inambari, Laberinto y Las Piedras.
                Geográficamente, el territorio de la provincia Tambopata, se encuentra enmarcado entre los 11° 02´ 48" y 13° 19´ 24" de latitud Sur y 68° 39´ 13" y 72° 14´ 55" longitud Oeste y cuenta con una extensión territorial estimada de 36,268.49 Km, que representa el 42.5% de la superficie departamental. </p>
            </div>       
        </div>
        <div class=" col-12 mt-2 sitio"  style="text-align: let;">    
            <div class="texto">
                <h3 class="titulo-turismo mt-4">Ubicacion</h3>
                <p>La provincia en estudio, fue creada el 26 de diciembre de 1912, por Ley Nº 1782. Su capital es la ciudad de Puerto Maldonado (capital del departamento); situado en la margen derecha del rio Madre de Dios, se ubica a 186 m.s.n.m. en la coordenada UTM 479 617 m E.; 8 607 375 m N. zona 19 WGS 84 y esta distante a 1,668 Km de la ciudad de Lima; y a 201 Km., aproximadamente de la frontera con el vecino país del
                Brasil (poblado de Asís).</p>
                <p>La población de esta capital provincial vive del comercio, la pesca, la extracción de madera y la explotación minera al borde los ríos Inambari, Madre de Dios, Malinoski y otros. Los límites de la provincia de Tambopata son:</p>
                <p>Por el Norte : Con la provincia Tahuamanu.</p>
                <p> Por el Este  : Con la República del Bolivia.</p>
                <p>Por el Sur    : Con las provincias Sandia y Carabaya del departamento Puno.</p>
                <p>Por el Oeste : Con la provincia Manu y la provincia Atalaya del departamentode Ucayali.</p>                                                             
                <p>En la parte Sureste de la provincia de Tambopata, atraviesa transversalmente la vía interoceánica que interconecta los centros poblados Mavila y Loromayo (este - oeste), faltando solo la conclusión del puente Billingrust sobre el río Madre de Dios en la ciudad de Puerto Maldonado. Esta vía se constituye en el eje de mayor importancia en el departamento de Madre de Dios, ya que interconecta a la República del Brasil, ciudades de Asís, Rio Branco y unirá en un futuro el Atlántico y el Pacifico.</p>
            </div>
            <div class="imagen-turismo">
                <img src="<?php echo e(url('/img/tambopata.png')); ?>" alt="" class="imagen-turismo">
            </div>        
        </div>
        <div class=" col-12 mt-2 sitio"  style="text-align: let;">    
            <div class="texto">
                <h3 class="titulo-turismo mt-4">Turismo1</h3>
                <p>En Tambopata, los veranos son cortos, cálidos, mojados y mayormente nublados; los inviernos son cortos, calurosos y parcialmente nublados y está opresivo durante todo el año. Durante el transcurso del año, la temperatura generalmente varía de 18 °C a 32 °C y rara vez baja a menos de 13 °C o sube a más de 36 °C.</p>
                
            </div>
            <div class="imagen-turismo">
                <img src="<?php echo e(url('/img/clima.png')); ?>" alt="" class="imagen-turismo">
            </div>        
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.pagina', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\tambopata\resources\views/pagina/historia.blade.php ENDPATH**/ ?>