<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, viewport-fit=cover"/>
    <meta http-equiv="X-UA-Compatible" content="ie=edge"/>
    <title>Procompite</title>
    <!-- CSS files -->
    <link href="<?php echo e(asset('/libs/tabler/css/tabler.min.css?1684106062')); ?>" rel="stylesheet"/>
    <link href="<?php echo e(asset('/libs/tabler/css/tabler-flags.min.css?1684106062')); ?>" rel="stylesheet"/>
    <link href="<?php echo e(asset('/libs/tabler/css/tabler-payments.min.css?1684106062')); ?>" rel="stylesheet"/>
    <link href="<?php echo e(asset('/libs/tabler/css/tabler-vendors.min.css?1684106062')); ?>" rel="stylesheet"/>
    <link href="<?php echo e(asset('/libs/tabler/css/demo.min.css?1684106062')); ?>" rel="stylesheet"/>
    <link href="<?php echo e(asset('/css/base.css?1684106062')); ?>" rel="stylesheet"/>
    <style>
      @import url('https://rsms.me/inter/inter.css');
      :root {
      	--tblr-font-sans-serif: 'Inter Var', -apple-system, BlinkMacSystemFont, San Francisco, Segoe UI, Roboto, Helvetica Neue, sans-serif;
      }
      body {
      	font-feature-settings: "cv03", "cv04", "cv11";
      }
    </style>
  </head>
  <body >
    <script src="./dist/js/demo-theme.min.js?1684106062"></script>
    <div class="page">
      <!-- Navbar -->
      <header class="navbar navbar-expand-md d-print-none" >
        <div class="container-xl">
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar-menu" aria-controls="navbar-menu" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <h1 class="navbar-brand navbar-brand-autodark d-none-navbar-horizontal pe-0 pe-md-3">
                <a href=".">
                    <img src="<?php echo e(url('/img/logo-horizontal-pro.png')); ?>" width="110" height="32" alt="Tabler" class="navbar-brand-image">
                </a>
            </h1>
            <div class="collapse navbar-collapse" id="navbar-menu">
                <div class="navbar" style="box-shadow: none;">
                    <div class="container-xl">
                        <ul class="navbar-nav">
                            <li class="nav-item active">
                                <a class="nav-link" href="<?php echo e(url('/')); ?>" >
                                    <span class="nav-link-title">
                                        Inicio
                                    </span>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="<?php echo e(url('/concurso')); ?>" >
                                    <span class="nav-link-title">
                                        Concurso
                                    </span>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="<?php echo e(url('/cadenas')); ?>" >
                                    <span class="nav-link-title">
                                        Cadenas Productivas
                                    </span>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="./<?php echo e(url('/preguntas')); ?>" >
                                    <span class="nav-link-title">
                                        Preguntas Frecuentes
                                    </span>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="<?php echo e(url('/noticias')); ?>" >
                                    <span class="nav-link-title">
                                        Noticias
                                    </span>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="<?php echo e(url('/contacto')); ?>" >
                                    <span class="nav-link-title">
                                        Contacto
                                    </span>
                                </a>
                            </li>
                        </ul>
                        <div class="my-2 my-md-0 flex-grow-1 flex-md-grow-0 order-first order-md-last">
                            <form action="./" method="get" autocomplete="off" novalidate>
                            <div class="input-icon">
                                <span class="input-icon-addon">
                                <!-- Download SVG icon from http://tabler-icons.io/i/search -->
                                <svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M10 10m-7 0a7 7 0 1 0 14 0a7 7 0 1 0 -14 0" /><path d="M21 21l-6 -6" /></svg>
                                </span>
                                <input type="text" value="" class="form-control" placeholder="Search…" aria-label="Search in website">
                            </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>

        </div>
      </header>
      <div class="page-wrapper">
        <!-- Page header -->
        <div class="page-header d-print-none">
          <div class="banner">               
                <?php echo $__env->yieldContent('banner'); ?>
          </div>
        </div>
        <!-- Page body -->
        <div class="page-body">
            <?php echo $__env->yieldContent('contenido'); ?>
        </div>
        <footer class="footer footer-transparent d-print-none" id="main-footer">			
            <div class="container">
                <div class="row">
                    <div class="col-sm-6 col-lg-4">
                        <div class="footer-widget"><div id="categories-4" class="fwidget et_pb_widget widget_categories"><h4 class="title">Categories</h4>
                            <ul>
                                <li class="cat-item cat-item-53"><a href="https://procompite.regioncusco.gob.pe/category/noticia-procompite/">Noticia Procompite</a>
                                </li>
                            </ul>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-6 col-lg-4">
                    </div>
                    <div class="col-sm-6 col-lg-4">
                    </div>
                </div>
            </div>
            <div id="footer-bottom">
				<div class="container clearfix">
                    <ul class="et-social-icons">
                        <li class="et-social-icon et-social-facebook">
                            <a href="https://www.facebook.com/profile.php?id=100093284665211&amp;mibextid=ZbWKwL" class="icon">
                                <img src="<?php echo e(url('/img/facebook.png')); ?>" alt="" style="vertical-align: baseline;">
                            </a>
                        </li>
                    </ul>
                <div id="footer-info">Diseñado por <a href="" target="_blank">Irvin Abel Contreras Rios</a> | MUNICIPALIDAD DE TAMBOPATA | Todos los Derechos Reservados.</div>					</div>
            </div>
        </footer>
      </div>
    </div>
    <!-- Libs JS -->
    <!-- Tabler Core -->
    <script src="<?php echo e(asset('/js/jquery-3.6.0.min.js')); ?>"></script>
   <script src="<?php echo e(asset('/libs/tabler/js/tabler.min.js?1684106062')); ?>"></script>
   <script src="<?php echo e(asset('/libs/tabler/js/demo.min.js?1684106062')); ?>"></script>
  </body>
</html><?php /**PATH C:\xampp\htdocs\procompite\resources\views/layouts/pagina.blade.php ENDPATH**/ ?>