

<?php $__env->startSection('css'); ?>
<link rel="stylesheet" href="<?php echo e(asset('css/admin/noticia.css')); ?>">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
    <script src="<?php echo e(asset('/libs/tinymce/tinymce.min.js?1684106062')); ?>"></script>
    <script src="<?php echo e(asset('/js/admin/nueva_noticia.js')); ?>"></script>
    <script>
      // @formatter:off
      document.addEventListener("DOMContentLoaded", function () {
        let options = {
          selector: '#descripcion',
            height: 500,
            menubar: false,
            statusbar: false,
            plugins: [
                'link', 'image',                 
            ],
            toolbar: 'undo redo | blocks | ' +
            'bold italic backcolor |image|link| alignleft aligncenter ' +
            'alignright alignjustify | bullist numlist outdent indent | ' +
            'removeformat',
            content_style: 'body { font-family:Helvetica,Arial,sans-serif; font-size:16px }'
        }
        if (localStorage.getItem("tablerTheme") === 'dark') {
          options.skin = 'oxide-dark';
          options.content_css = 'dark';
        }
        tinyMCE.init(options);
      })
      // @formatter:on
    </script>
    
    <script>
        // Función para manejar el cambio en el campo de entrada de archivos
        function handleFileInput() {
            const input = document.getElementById('inputImage');
            const preview = document.getElementById('imagen');

            // Verificar si se seleccionó un archivo
            if (input.files && input.files[0]) {
                const reader = new FileReader();

                // Leer el contenido del archivo como una URL de datos (data URL)
                reader.onload = function (e) {
                    preview.src = e.target.result; // Establecer la vista previa de la imagen
                };

                // Leer el archivo como una URL de datos (data URL)
                reader.readAsDataURL(input.files[0]);
            }
        }

        // Asociar la función al evento de cambio en el campo de entrada de archivos
        document.getElementById('inputImage').addEventListener('change', handleFileInput);
    </script>
    <script>
        var id='<?php echo $id; ?>';
    </script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('Titulo_contenido'); ?>
Administracion
<?php $__env->stopSection(); ?>

<?php $__env->startSection('subtitulo_contenido'); ?>
Nueva noticia
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="page-body">
    <div class="container-xl">
        <div class="row row-cards">
            <div class="col-12">
                <div class="card row"> 
                    <div class="form-group mb-3 mt-3"> 
                        <label class="form-label">Imagen principal(1200X500)</label>
                        <input type="file" id="inputImage" accept="image/*">                                
                    </div> 
                    <div class="form-group mb-3 mt-3"> 
                        <img id="imagen" class="imagen-noticia" src="<?php echo e($noticia!= null? url($noticia->ruta):''); ?>" alt="Vista previa de la imagen">                                 
                    </div>                       
                    <div class="form-group mb-3  mt-3">
                        <label class="form-label">Titulo</label>
                        <input type="text" class="form-control" id="titulo" placeholder="Nombre" value="<?php echo e($noticia!= null? $noticia->titulo:''); ?>">
                    </div>                    
                    <div class="form-group mb-3  mt-3">
                        <label class="form-label">Descripcion Corta. (Max. 300 caracteres)</label>
                        <textarea name="" id="corta" class="form-control" cols="30" rows="3"><?php echo e($noticia!= null? $noticia->corta  :''); ?></textarea>
                    </div>                      
                    <div class="form-group mb-3">
                        <label class="form-label">Descripción</label>
                        <?php if($noticia!= null): ?>
                            <textarea id="descripcion"><?php echo $noticia->descripcion; ?></textarea>
                        <?php else: ?>
                            <textarea id="descripcion"></textarea>
                        <?php endif; ?>
                    </div>
                <div class="modal-footer">                
                    <button type="button" class="btn btn-link link-secondary" data-bs-dismiss="modal">Cancelar</button>
                    <button type="button" class="btn btn-primary" onclick="guardar()">Guardar</button>
                </div> 
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.administracion', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/secmpt2020/public_html/portal.munitambopata.gob.pe/resources/views//administracion/nueva_noticia.blade.php ENDPATH**/ ?>