@extends('layouts.pagina')
@section('css')
<link rel="stylesheet" href="{{ asset('css/turismo.css') }}">

@endsection
@section('head')
<meta name="viewport" content="width=device-width, initial-scale=1.0">
@endsection
@section('banner')
    <img src="{{url('/img/banner_historia.jpg')}}" alt="">
@endsection
@section('contenido')
<div class="container-xl mb-4">
    <div class="reglon">
        <h3 class="titulo mt-4">Directivas</h3>  
    </div>
    <div class="row">
       
    <div class="card">
        <div class="table-responsive">
            <table class="table table-vcenter card-table">
                <thead>
                <tr>
                    <th>Año</th>
                    <th>Numero</th>
                    <th>Aprobación</th>
                    <th>Nombre</th>
                    <th>Estado</th>
                </tr>
                </thead>
                <tbody>
                    @foreach($directivas as $directiva)
                        <tr>
                            <td >{{$directiva->year}}</td>
                            <td >{{$directiva->numero}}</td>
                            <td >{{$directiva->aprobacion}}</td>
                            <td ><a href="{{url('/'.$directiva->ruta)}}" target="_blank">{{$directiva->nombre}}</a></td>
                            <td >{{$directiva->estado==1? 'Vigente': ''}} </td>
                            <td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
    </div>
</div>
@endsection
